package org.cs.mgr.order.ctl;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.cs.core.ctl.BaseCtl;
import org.cs.util.DateUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;
import org.cs.mgr.order.service.IMgmOrderProductService;
import org.cs.util.Pager;
import org.cs.mgr.order.model.MgmOrderProduct;
import org.cs.util.StringUtil;
import com.alibaba.fastjson.JSONObject;


/**
 * 
 * @ClassName: MgmOrderProduct 
 * @Description:  
 * @author: sunny_shi
 * @date: 2018-06-09 13:29:03
 */
@Controller
@RequestMapping("/mgmOrderProductCtl")
public class MgmOrderProductCtl extends BaseCtl {

	private final Logger logger = LoggerFactory.getLogger(this.getClass());
	
	@Autowired
	private IMgmOrderProductService mgmOrderProductService;
	
	@RequestMapping("list")
	public String list(ModelMap mm, @RequestParam(required=false)String menuCode){
		mm.put(MENU_CODE, menuCode);
		this.set(MENU_CODE, menuCode);
		return "bis/mgmOrderProduct/list";	
	}
	
	@RequestMapping(value="list2", method = RequestMethod.GET, produces="application/json;charset=UTF-8")
	@ResponseBody
	public String list2(int page, int pageSize){
		Pager pager = this.mgmOrderProductService.getMgmOrderProducts(new Pager(page, pageSize));
		JSONObject json = new JSONObject();
		json.put("rows", pager.getResults());
		json.put("total", pager.getTotal());
		return JSONObject.toJSONString(json, features);
	
	}
	
	@RequestMapping("transfer")
	public String transfer(Integer id, String action, ModelMap mm){
		MgmOrderProduct mgmOrderProduct = null;
		if(id != null){
			mgmOrderProduct = this.mgmOrderProductService.findById(id);
			mm.put("mgmOrderProduct", mgmOrderProduct);
		}
		return "bis/mgmOrderProduct/" + action;
	}
	
	@RequestMapping(value="add", method = RequestMethod.POST)
	@ResponseBody
	public String add(MgmOrderProduct mgmOrderProduct){
		if(mgmOrderProduct != null ){
			this.mgmOrderProductService.addMgmOrderProduct(mgmOrderProduct);
		}
		return AJAX_SUCCESS;
	}

    @RequestMapping(value="edit", method = RequestMethod.POST)
    @ResponseBody
    public String edit(MgmOrderProduct mgmOrderProduct){
        if(mgmOrderProduct != null ){
            this.mgmOrderProductService.updateMgmOrderProduct(mgmOrderProduct);
        }
        return AJAX_SUCCESS;
    }

	
	
	
	@RequestMapping("del")
	@ResponseBody
	public String del(Integer id){
		if(id != null){
			this.mgmOrderProductService.delMgmOrderProduct(id);
		}
		
		return AJAX_SUCCESS;
	}
	
	
	
		
}

